Replace Document Rendition
PUT
/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{rendition_type} | The document rendition type. |
File Upload
Section link for File UploadTo upload the file, use the multi-part attachment with the file component "file={file_name}". The maximum allowed file size is 4GB.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=CholeCap-Document.pdf" \
https://myvault.veevavault.com/api/v23.2/objects/documents/534/renditions/imported_rendition__cResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault replaces the rendition of the given type from the latest version of the document.